Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(36)

Issue 1658773003: [esnext] implement Object.getOwnPropertyDescriptors() proposal (Closed)

Created:
3 years, 6 months ago by caitp (gmail)
Modified:
3 years, 6 months ago
CC:
Michael Hablich, ljharb, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[esnext] implement Object.getOwnPropertyDescriptors() proposal BUG=v8:4725 LOG=N R=adamk@chromium.org, cbruni@chromium.org, rossberg@chromium.org Committed: https://crrev.com/ee10b595f902d04ad1d66ae4231ef20873eb6852 Cr-Commit-Position: refs/heads/master@{#33752}

Patch Set 1 #

Patch Set 2 : remove `auto` types, move test to es7 directory, cleanup a bit #

Patch Set 3 : move the test back to where it was because branding #

Patch Set 4 : rebase #

Patch Set 5 : fix rebase + re-enable test #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+396 lines, -134 lines) Patch
M src/bootstrapper.cc View 1 2 3 2 chunks +15 lines, -0 lines 0 comments Download
M src/builtins.h View 1 chunk +1 line, -0 lines 0 comments Download
M src/builtins.cc View 1 2 3 4 1 chunk +37 lines, -0 lines 2 comments Download
M src/flag-definitions.h View 1 2 3 1 chunk +12 lines, -10 lines 0 comments Download
M src/heap-symbols.h View 1 chunk +125 lines, -124 lines 0 comments Download
A test/mjsunit/harmony/object-get-own-property-descriptors.js View 1 2 3 4 1 chunk +206 lines, -0 lines 0 comments Download

Messages

Total messages: 24 (8 generated)
caitp (gmail)
here's another one
3 years, 6 months ago (2016-02-01 20:41:08 UTC) #2
andrea.giammarchi
On 2016/02/01 20:41:08, caitp wrote: > here's another one very nice! I wasn't aware of ...
3 years, 6 months ago (2016-02-02 08:17:28 UTC) #3
Camillo Bruni
will look into it tomorrow. just back from being sick so working at 10% brain ...
3 years, 6 months ago (2016-02-02 13:40:58 UTC) #4
Jakob Kummerow
DBC: Don't use "auto". There's one exception: if it avoids a *lot* of boilerplate, e.g. ...
3 years, 6 months ago (2016-02-02 13:55:49 UTC) #5
caitp (gmail)
On 2016/02/02 13:55:49, Jakob wrote: > DBC: Don't use "auto". > > There's one exception: ...
3 years, 6 months ago (2016-02-02 14:21:20 UTC) #6
rossberg
Meta nit: This function will not be in ES7. Feature freeze was last week. You ...
3 years, 6 months ago (2016-02-02 15:12:06 UTC) #7
Camillo Bruni
lgtm
3 years, 6 months ago (2016-02-03 10:52:34 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1658773003/70001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1658773003/70001
3 years, 6 months ago (2016-02-04 19:51:16 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/10560)
3 years, 6 months ago (2016-02-04 19:54:25 UTC) #14
adamk
https://codereview.chromium.org/1658773003/diff/70001/src/builtins.cc File src/builtins.cc (right): https://codereview.chromium.org/1658773003/diff/70001/src/builtins.cc#newcode1827 src/builtins.cc:1827: Handle<Object> from_descriptor = did_get_descriptor.FromJust() Isn't this guaranteed to return ...
3 years, 6 months ago (2016-02-04 20:13:48 UTC) #15
caitp (gmail)
https://codereview.chromium.org/1658773003/diff/70001/src/builtins.cc File src/builtins.cc (right): https://codereview.chromium.org/1658773003/diff/70001/src/builtins.cc#newcode1827 src/builtins.cc:1827: Handle<Object> from_descriptor = did_get_descriptor.FromJust() On 2016/02/04 20:13:48, adamk wrote: ...
3 years, 6 months ago (2016-02-04 20:14:49 UTC) #16
adamk
ah, right, lgtm
3 years, 6 months ago (2016-02-04 21:32:47 UTC) #17
caitp (gmail)
On 2016/02/04 21:32:47, adamk wrote: > ah, right, lgtm Thanks
3 years, 6 months ago (2016-02-04 21:54:32 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1658773003/70001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1658773003/70001
3 years, 6 months ago (2016-02-04 21:54:42 UTC) #20
commit-bot: I haz the power
Committed patchset #5 (id:70001)
3 years, 6 months ago (2016-02-04 21:56:13 UTC) #22
commit-bot: I haz the power
3 years, 6 months ago (2016-02-04 21:56:32 UTC) #24
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/ee10b595f902d04ad1d66ae4231ef20873eb6852
Cr-Commit-Position: refs/heads/master@{#33752}

Powered by Google App Engine
This is Rietveld 408576698